Bug 57931 - XamlC should change assembly MVID
Summary: XamlC should change assembly MVID
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Stephane Delcroix
URL:
Depends on:
Blocks:
 
Reported: 2017-07-04 15:29 UTC by Radek Doulik
Modified: 2017-08-23 19:46 UTC (History)
3 users (show)

Tags: xamlc
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Radek Doulik 2017-07-04 15:29:46 UTC
When XamlC changes an assembly, it should also change its MVID.

Context: It will prevent issues like https://bugzilla.xamarin.com/show_bug.cgi?id=48285, which bites us again after Cecil regression, https://bugzilla.xamarin.com/show_bug.cgi?id=57675 and https://bugzilla.xamarin.com/show_bug.cgi?id=57889.
Comment 2 Stephane Delcroix 2017-07-09 13:11:11 UTC
see https://github.com/xamarin/Xamarin.Forms/pull/1045
Comment 3 Samantha Houts [MSFT] 2017-08-23 19:46:16 UTC
Should be fixed in 2.4.0-pre1. Thank you!